#!/bin/sh

# This script is called by upsman when executing the function "send email"
# in the event-configuration.

# available parameters are:
# $1 = "-s", fixed
# $2 = "UPSMAN service", fixed
# $3 = "-t", fixed, not used on Unix
# $4 = "ADDRESS", user defined
# $5 = "TEXT", user defined

# check input
if [ -z "$4" ]; then
    ADDRESS=postmaster
else
    ADDRESS=$4
fi
if [ -z "$5" ]; then
    MESSAGE="executing `send mail` on ups-event, no message configured"
else
    MESSAGE=$5
fi

# send it
echo $MESSAGE | mail $ADDRESS -s "upsman service"

exit 0
